Last Comment Bug 662795 - Intermittent failure layout/base/crashtests/331883-1.html | load failed: timed out waiting for reftest-wait to be removed
: Intermittent failure layout/base/crashtests/331883-1.html | load failed: time...
Status: RESOLVED FIXED
: intermittent-failure
Product: Core
Classification: Components
Component: Layout (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: mozilla7
Assigned To: Josh Matthews [:jdm]
:
Mentors:
Depends on:
Blocks: 438871
  Show dependency treegraph
 
Reported: 2011-06-08 07:34 PDT by Masayuki Nakano [:masayuki] (Mozilla Japan)
Modified: 2012-11-25 19:31 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Remove flaky timeout from 331883-1.html. Also remove identical test 331883-2.html. (3.29 KB, patch)
2011-06-09 15:35 PDT, Josh Matthews [:jdm]
roc: review+
Details | Diff | Splinter Review

Description Masayuki Nakano [:masayuki] (Mozilla Japan) 2011-06-08 07:34:10 PDT
> REFTEST TEST-START | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/base/crashtests/331883-1.html
> REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/base/crashtests/331883-1.html | load failed: timed out waiting for reftest-wait to be removed
> REFTEST INFO | Saved log: START file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/base/crashtests/331883-1.html
> REFTEST INFO | Saved log: [CONTENT] OnDocumentLoad triggering WaitForTestEnd
> REFTEST INFO | Saved log: [CONTENT] WaitForTestEnd: Adding listeners
> REFTEST INFO | Saved log: Initializing canvas snapshot
> REFTEST INFO | Saved log: [CONTENT] WaitForTestEnd: Adding listeners
> REFTEST INFO | Saved log: [CONTENT] MakeProgress: STATE_WAITING_TO_FIRE_INVALIDATE_EVENT
> REFTEST INFO | Saved log: [CONTENT] MakeProgress: dispatching MozReftestInvalidate
> REFTEST INFO | Saved log: [CONTENT] MakeProgress: STATE_WAITING_FOR_REFTEST_WAIT_REMOVAL
> REFTEST INFO | Saved log: [CONTENT] MakeProgress: waiting for reftest-wait to be removed
> REFTEST INFO | Saved log: [CONTENT] AfterPaintListener in file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/base/crashtests/331883-1.html
> REFTEST INFO | Saved log: Updating canvas for invalidation
> REFTEST INFO | Saved log: [CONTENT] AfterPaintListener in file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/base/crashtests/331883-1.html
> REFTEST INFO | Saved log: [CONTENT] AfterPaintListener in file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/base/crashtests/331883-1-inner.html
> REFTEST INFO | Saved log: [CONTENT] MakeProgress: STATE_WAITING_FOR_REFTEST_WAIT_REMOVAL
> REFTEST INFO | Saved log: [CONTENT] MakeProgress: waiting for reftest-wait to be removed
> REFTEST INFO | Saved log: [CONTENT] AfterPaintListener in file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/base/crashtests/331883-1.html
> REFTEST INFO | Saved log: Updating canvas for invalidation
> REFTEST INFO | Saved log: [CONTENT] AfterPaintListener in file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/base/crashtests/331883-1.html
> REFTEST INFO | Saved log: [CONTENT] AfterPaintListener in file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/base/crashtests/331883-1-inner.html
> REFTEST INFO | Saved log: [CONTENT] MakeProgress: STATE_WAITING_FOR_REFTEST_WAIT_REMOVAL
> REFTEST INFO | Saved log: [CONTENT] MakeProgress: waiting for reftest-wait to be removed
> REFTEST INFO | Saved log: [CONTENT] AfterPaintListener in file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/base/crashtests/331883-1.html
> REFTEST INFO | Saved log: Updating canvas for invalidation
> REFTEST INFO | Saved log: [CONTENT] AfterPaintListener in file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/base/crashtests/331883-1.html
> REFTEST INFO | Saved log: [CONTENT] AfterPaintListener in file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/base/crashtests/331883-1-inner.html
> REFTEST INFO | Saved log: [CONTENT] MakeProgress: STATE_WAITING_FOR_REFTEST_WAIT_REMOVAL
> REFTEST INFO | Saved log: [CONTENT] MakeProgress: waiting for reftest-wait to be removed
> REFTEST INFO | Saved log: [CONTENT] AfterPaintListener in file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/base/crashtests/331883-1.html
> REFTEST INFO | Saved log: Updating canvas for invalidation
> REFTEST INFO | Saved log: [CONTENT] AfterPaintListener in file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/base/crashtests/331883-1.html
> REFTEST INFO | Saved log: [CONTENT] AfterPaintListener in file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/base/crashtests/331883-1-inner.html
> REFTEST INFO | Saved log: [CONTENT] MakeProgress: STATE_WAITING_FOR_REFTEST_WAIT_REMOVAL
> REFTEST INFO | Saved log: [CONTENT] MakeProgress: waiting for reftest-wait to be removed
> REFTEST INFO | Saved log: [CONTENT] AttrModifiedListener fired
> REFTEST INFO | Loading a blank page

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1307541710.1307542028.26520.gz#err0
Comment 1 :Ehsan Akhgari 2011-06-09 14:58:50 PDT
This test, and also <http://mxr.mozilla.org/mozilla-central/source/layout/base/crashtests/331883-2.html?force=1> uses a timeout of 1 second to wait for its inner frame to (hopefully) load five times, and is prone to race conditions.

It should be fairly simple to rewrite it to listen to the load event on the iframe 5 times instead of relying on this timeout magic.

Josh, is this something that you have cycles for?  :-)
Comment 2 Josh Matthews [:jdm] 2011-06-09 14:59:51 PDT
For you, always!
Comment 3 Josh Matthews [:jdm] 2011-06-09 15:35:38 PDT
Created attachment 538367 [details] [diff] [review]
Remove flaky timeout from 331883-1.html. Also remove identical test 331883-2.html.

Crashtests pass locally.
Comment 4 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2011-06-09 15:41:18 PDT
Comment on attachment 538367 [details] [diff] [review]
Remove flaky timeout from 331883-1.html. Also remove identical test 331883-2.html.

Review of attachment 538367 [details] [diff] [review]:
-----------------------------------------------------------------
Comment 5 :Ehsan Akhgari 2011-06-09 16:04:15 PDT
Pushed to m-i.  Thanks!
Comment 6 Mounir Lamouri (:mounir) 2011-06-10 02:56:06 PDT
http://hg.mozilla.org/mozilla-central/rev/21d7ea8200eb
Comment 7 Jesse Ruderman 2011-06-12 08:19:18 PDT
I understand why the test had an internal race condition, which could cause the iframe to load 4 or 6 times instead of 5, but what caused the test as a whole to time out?
Comment 8 :Ehsan Akhgari 2011-06-13 11:24:02 PDT
If I'm reading the logs correctly, the inner frame has been loaded 4 times, and then the DOM attr modified callback has gotten called but without effect.  Maybe dbaron knows why?
Comment 9 Jesse Ruderman 2011-06-13 16:18:37 PDT
Maybe it's the same problem as bug 655495 / bug 623091.
Comment 10 :Ehsan Akhgari 2011-06-13 16:35:28 PDT
I'm not really sure...

Note You need to log in before you can comment on or make changes to this bug.